summaryrefslogtreecommitdiff
path: root/nonsystemd/openrc/kmod-static-nodes.initd
diff options
context:
space:
mode:
authorDavid P <megver83@parabola.nu>2019-11-12 23:35:24 -0300
committerDavid P <megver83@parabola.nu>2019-11-12 23:35:24 -0300
commite77ff396b67564f497ee1868d5cddfc1eeeffd2e (patch)
tree1c1d7780148130ad773663503546afc5b5472ba7 /nonsystemd/openrc/kmod-static-nodes.initd
parentc46585d255183aa1cfbfc077ae56d7a1eba12f4b (diff)
downloadabslibre-e77ff396b67564f497ee1868d5cddfc1eeeffd2e.tar.gz
abslibre-e77ff396b67564f497ee1868d5cddfc1eeeffd2e.tar.bz2
abslibre-e77ff396b67564f497ee1868d5cddfc1eeeffd2e.zip
addpkg: nonsystemd/openrc 0.42.1-1
Signed-off-by: David P <megver83@parabola.nu>
Diffstat (limited to 'nonsystemd/openrc/kmod-static-nodes.initd')
-rw-r--r--nonsystemd/openrc/kmod-static-nodes.initd19
1 files changed, 19 insertions, 0 deletions
diff --git a/nonsystemd/openrc/kmod-static-nodes.initd b/nonsystemd/openrc/kmod-static-nodes.initd
new file mode 100644
index 000000000..7a3f529dc
--- /dev/null
+++ b/nonsystemd/openrc/kmod-static-nodes.initd
@@ -0,0 +1,19 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+description="Create list of required static device nodes for the current kernel"
+
+depend() {
+ after dev-mount
+ before tmpfiles.dev dev
+ keyword -lxc -systemd-nspawn
+}
+
+start() {
+ ebegin "Creating list of required static device nodes for the current kernel"
+ checkpath -q -d /run/tmpfiles.d
+ kmod static-nodes --format=tmpfiles --output=/run/tmpfiles.d/kmod.conf
+ eend $?
+}